/***************************************************************************
                          window.h  -  description
                             -------------------
   Implementation of the AC-3 windowing, de-interleaving, overlap, 
    and add process.
                             -------------------
    begin                : Mon Nov 10 2005
    copyright            : (C) 2005 by Dennis Lew
    email                : dennis_L76@yahoo.ca
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef _WINDOW_H_
#define _WINDOW_H_

#include "common/typedefs.h"
#include "audio_block.h"

#ifdef __cplusplus
extern "C" {
#endif

void AC3_window512(AC3_COEFF *data, s16 *audio, s16 *delay, u32 num_ch);
void AC3_window256(AC3_COEFF *data, s16 *audio, s16 *delay, u32 num_ch);

#ifdef __cplusplus
};
#endif

#endif

