/***************************************************************************
                          idct.h  -  description
                             -------------------
   IDCT function.
                             -------------------
    begin                : Sun Nov 14 2004
    copyright            : (C) 2004 by Dennis Lew
    email                : dennis_L76@yahoo.ca
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef __IDCT_H__
#define __IDCT_H__

#include "common/typedefs.h"

#ifdef __cplusplus
extern "C" {
#endif

/* Does an 8x8 2D iDCT operation.
      INPUT: data - An array holding the 64 dct coefficients.
      OUTPUT: data - The 64 dct coefficients are replaced by the 64
                       recovered samples. */
void idct(s16 *data);

#ifdef __cplusplus
};
#endif

#endif
