/***************************************************************************
                          FileDLG.c  -  description
                             -------------------
   Stuff needed for handling the open file dialog.
                             -------------------
    begin                : Fri Feb 4 2005
    copyright            : (C) 2005 by Dennis Lew
    email                : dennis_L76@yahoo.ca
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include "FileDLG.h"

/* Public constants / globals */
char         FileDLG_filename[FILEDLG_NAMELEN];
OPENFILENAME FileDLG = {sizeof(OPENFILENAME),   /* structure size */
                        NULL,                   /* parent window */
                        0,
                        NULL,                   /* file name filter */
                        NULL,
                        0,
                        1,                      /* 1-based index
                                                   value, used to
                                                   select the initial
                                                   filter for dlg */
                        NULL,                   /* file name buffer */
                        FILEDLG_NAMELEN,        /* size of buffer */
                        NULL,
                        0,
                        NULL,                   /* initial dir */
                        NULL,                   /* dialog title */
                        OFN_HIDEREADONLY |
                        OFN_LONGNAMES |
                        OFN_NONETWORKBUTTON |
                        OFN_EXPLORER,           /* dialog flags */
                        0,
                        0,
                        NULL,                   /* default extension */
                        0,
                        NULL,
                        NULL};

void FileDLG_init(HWND parent)
{
   FileDLG.hwndOwner = parent;
   FileDLG.lpstrFile = FileDLG_filename;
}

